# Set-RASAppPackageSettings.md

## NAME

Set-RASAppPackageSettings

## SYNOPSIS

Modifies the Application package settings.

## SYNTAX

\*\*Set-RASAppPackageSettings \[[Enabled](#enabled-string) *(bool)*] \[[ProvisionPackageCertificatesAutomatically](#provisionpackagecertificatesautomatically-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the Application package settings using the specified parameters and their values.

All parameters are optional.

## PARAMETERS

## SiteId (uint)

Site ID of the specified application package settings to modify.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Enable or disable the application packages.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ProvisionPackageCertificatesAutomatically (bool)

Enable or Disable automatic provision of application package certificates.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASAppPackageSettings -SiteID 1 -Enabled 1 -ProvisionPackageCertificatesAutomatically 1

Enables the application package settings and the automatic package certificate provisioning features.

## RELATED LINKS

* [Get-RASAppPackageSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasapppackagesettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasapppackagesettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
